Subject: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jun 2014 09:00:04 +0300

> Date: Fri, 27 Jun 2014 07:45:57 +0200
> From: Andreas Röhler <[email-masked]>
> 
> >> I guess it would be OK, if $GDB could be set to "gdb --args".  Thanks.
> >
> > Could you do it? :)
> > I confess I don't know quite where you want it to go...
> 
> testing and debugging are quite different things.
> IMO it's not a good idea mixing these.

I'm not sure I understand what you are saying.  When a test fails,
don't you want to debug Emacs to understand why and find a solution?

So yes, testing and debugging are different things, but when a test
fails, one frequently needs to debug Emacs.